// Plugins
const MiniCssExtractPlugin = require('mini-css-extract-plugin');
var path = require('path');
var pjson = require('./package.json');

// Start
module.exports = {
    entry: {
        'app'           : pjson.themePath + 'assets/js/app.js',
        'rw_makelaar'   : pjson.themePath + 'assets/js/rw-makelaar.js',
        'editor'        : pjson.themePath + 'assets/sass/editor-style.scss',
    },
    plugins: [
        new MiniCssExtractPlugin({
            filename: "[name].css",
            chunkFilename: "[id].css",
        }),
    ],
    module: {
        rules: [
            {
                test: /\.(sa|sc|c)ss$/,
                use: [
                    MiniCssExtractPlugin.loader,
                    'css-loader',
                    'postcss-loader',
                    {
                        loader: "sass-loader",
                        options: {
                            implementation: require("sass"),
                        },
                    },
                ]
            },
            {
                test: /\.(jpg|jpeg|gif)$/i,
                use: 'url-loader?limit=1024'
            }
        ]
    }
};