const { merge } = require('webpack-merge');
const common = require('./webpack.common.js');
const BrowserSyncPlugin = require('browser-sync-webpack-plugin')
const WebpackNotifierPlugin = require('webpack-notifier')
const path = require('path')
var pjson = require('./package.json');

module.exports = merge(common, {
    mode: 'development',
    devtool: 'inline-source-map',
    output: {
        path: path.resolve(__dirname, pjson.themePath+'dev'),
        filename: '[name].js',
    },
    plugins: [
        new BrowserSyncPlugin({
            proxy: pjson.localDomain,
            https: true,
            files: [ pjson.themePath+'dev/*.css' ],
        }, {
            injectCss: true
        }),

        new WebpackNotifierPlugin({title: function (params) {
            return `Build status is ${params.status} with message ${params.message}`;
        }}),
    ]
});